@import './variables.scss';
@import './normalize.scss';
@import './components/index.scss';
@import './fonts.scss';
@import 'node_modules/swiper/swiper-bundle';
@import './mixins.scss';


body {
    background-color: $secondary-bg;
}
main {

}

.container {
    max-width: 1266px;
    margin: 0 auto;
  }

// section titles
.section-title {
    font-family: 'Yeseva One';
    font-style: normal;
    font-weight: normal;
    font-size: 20px;
    line-height: 28px;
    text-align: center;
    text-transform: uppercase;

    @media (max-width: 376px) {
        font-size: 22px;
        line-height: 138.6%;
    }

    &--dark {
        color: $color-text-second-extra;
    }

    &--control {

        &::after {
            background-image: url(/src/assets/svg/control-icon.svg);
            @include title-icon();
        }
    }

    &--types {


        &::after {
            background-image: url(/src/assets/svg/types-of-repair.svg);
            @include title-icon();
        }
    }

    &--design {


        @media (max-width: 1201px) {
            color: $primary-color-text;
        }

        &::after {
            background-image: url(/src/assets/svg/design.svg);
            @include title-icon();
        }
    }

    &--team {
    
        @media (max-width: 376px) {
            color: $primary-color-text;
        }

        &::after {
            background-image: url(/src/assets/svg/team.svg);
            @include title-icon();
        }
    }

    &--clients {
        
        &::after {
            background-image: url(/src/assets/svg/clients.svg);
            @include title-icon();
        }
    }
}

.hidden {
    display: none;
}

.control-types-bg {
    background-image: url('/src/assets/img/control-types-bg.jpg');
    background-position: left bottom;
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 150px;
}

// footer
footer {
    background-color: $primary-bg;

    @media (max-width: 561px) {
        display: none;
    }
}